import 'package:app/pages/consts.dart';
import 'package:flutter/material.dart';
import 'package:syncfusion_flutter_maps/maps.dart';

class ChoroplethMap extends StatefulWidget {
  final String relation;

  const ChoroplethMap({Key? key,
    required this.relation,
  }) : super(key: key);

  @override
  _ChoroplethMapState createState() => _ChoroplethMapState();
}

class _ChoroplethMapState extends State<ChoroplethMap> {
  late MapShapeSource mapShapeSource;

  @override
  void initState() {
    super.initState();
    setState(() {
      mapShapeSource = const MapShapeSource.network(
        '${serverURI}get_relation', // Request map coordinates from server
        shapeDataField: 'coordinates',
      );
    });
  }

  @override
  Widget build(BuildContext context) {
    return SfMaps(
      layers: [
        MapShapeLayer(
          source: mapShapeSource,
          strokeColor: Colors.white30,
        ),
      ],
    );
  }
}

